# Reviewing Components

A Pull Request for a component will be reviewed by three groups:
1. **Development** - Developer checks for code style, code tests and component functionality
1. **Design** - Designer checks for design specs of the component itself.
1. **Documentation** - Documentation checks for how the component and documentation render on the Component Library site.

Reviewers should be able to view the component live in a Netlify deployed branch.

After the component is approved, the NPM module will be released with semantic release.

Once the component is published, developers can use the new component in any project, like the [Reaction Storefront Next.js Starter Kit](https://github.com/reactioncommerce/reaction-next-starterkit). Designers will then review the component again, to check that the component has been implemented to proper design usage guidelines.

